> ## Documentation Index
> Fetch the complete documentation index at: https://docs.botifyme.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Query openai

> Query openai

### Body

<ParamField body="question" type="string">
  This is Question being asked
</ParamField>

<ParamField body="project_id" type="string">
  This is the project id
</ParamField>

<ParamField body="document-id" type="string">
  This is the document id
</ParamField>

<ParamField body="collection_name" type="string">
  This is the collection name
</ParamField>

<RequestExample>
  ```bash
  curl --location 'https://exec.protoml.io/qa/qa-openai' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <TOKEN>' \
  --data '{
    "question": "What are the benefits of retirement saving plan?",
    "project_id": "fa8ca5e2-3b3a-4767-a647-7ac0523f7ca3",
    "document_id": "f0c68672-b4b4-46ba-84b6-2dc007e04214",
    "collection_name": "fa8ca5e2-3b3a-4767-a647-7ac0523f7ca3_18734516-475c-4985-ba8d-457b0f291f87"
  }'
  ```
</RequestExample>
